package com.zcloud.service.system;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：企业类型
 * 作者：shaojie
 * 时间：2021-03-18
 * 官网：www.qdkjchina.com
 */
public interface CorpTypeService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	public PageData corptypelist(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**通过父id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByParentId(PageData pd)throws Exception;

	public List<PageData> listMentDictionByPId(String PARENT_ID) throws  Exception;

    /**
     * 根据企业id获取对应的企业类型
     * @param pd
     * @return
     * @throws Exception
     */
	public List<PageData> listByCorpInfoTypeIds(PageData pd)throws  Exception;

	List<PageData> listAllChild(PageData pd) throws Exception;

}

